function ClassAllJ()
{
    this.getImg = new createjs.Container();

    this.job = new ClassJob();
    this.moves = new ClassMoves();
    this.time_bar = new ClassTimeBar();

    this.moves.getImg.x = 9*devise_size;
    this.moves.getImg.y = 51*devise_size;
    this.getImg.addChild(this.moves.getImg);

    this.job.getImg.x = 110*devise_size;
    this.job.getImg.y = 50*devise_size;
    this.getImg.addChild(this.job.getImg);

    this.time_bar.getImg.x = 5*devise_size;
    this.time_bar.getImg.y = 55*devise_size;
    this.getImg.addChild(this.time_bar.getImg);

    this.win = "";
}

ClassAllJ.prototype.Create = function()
{
    this.moves.getImg.visible = (game.bonus_lvl == 0);
    this.job.getImg.visible = (game.bonus_lvl == 0);
    this.time_bar.getImg.visible = (game.bonus_lvl != 0);

    this.moves.Create();
    this.job.Create();
    this.time_bar.Create();
};

ClassAllJ.prototype.Drw = function()
{
    if(game.bonus_lvl != 0)
        this.time_bar.Drw();
};


ClassAllJ.prototype.isEnd = function()
{
    if(game.bonus_lvl != 0)
    {
        if(this.time_bar.isEnd())
        {
            if(game.level_num == config.lvls.length-1)
                this.win = "complete";
            else
                this.win = "bwin";
            game.grid.gr.getImg.mouseEnabled = false;
        }
    }
    else
    {
        if(this.job.isEnd())
        {
            this.win = "clear";
            game.grid.gr.getImg.mouseEnabled = false;
        }
        else
        {
            if(this.moves.isEnd())
            {
                this.win = "fail";
                game.grid.gr.getImg.mouseEnabled = false;
            }
        }
    }
};

ClassAllJ.prototype.goEnd = function()
{
    if(this.win == "clear")
    {
        game.fly.Create();
        this.job.AllEnd();
    }
    window_controller.Show(this.win);
};